Slony-I REL_1_1_0 Documentation
Prev | Fast Backward | Chapter 1. Schema schemadoc | Fast Forward | Next

# 1.99. storeset( integer, text )

Function Properties

Language: PLPGSQL

Return Type: bigint

Generate STORE_SET event for set set_id with human readable comment set_comment

    declare
    	p_set_id			alias for $1;
    	p_set_comment		alias for $2;
    	v_local_node_id		int4;
    begin
    	-- ----
    	-- Grab the central configuration lock
    	-- ----
    	lock table sl_config_lock;

    	v_local_node_id := getLocalNodeId('_schemadoc');

    	insert into sl_set
    			(set_id, set_origin, set_comment) values
    			(p_set_id, v_local_node_id, p_set_comment);

    	return createEvent('_schemadoc', 'STORE_SET',
    			p_set_id, v_local_node_id, p_set_comment);
    end;

Prev | Home | Next
storepath_int( integer, integer, text, integer ) | Up | storeset_int( integer, integer, text )